/* Pop up */
.card {
    cursor: pointer;
}

/* Popup styling */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 1000;
    justify-content: center;
    align-items: center;
    opacity: 0; /* Start fully transparent */
    transform: scale(0.9); /* Slightly shrink */
    transition: opacity 0.3s ease, transform 0.3s ease; /* Smooth animation */
}

.popup.show {
    display: flex; /* Show the popup */
    opacity: 1; /* Fade in */
    transform: scale(1); /* Grow to full size */
}

.popup-content {
    background-color: #000000;
    width: 96%;
    position: relative;
    overflow-y: auto;
    max-height: 94%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    max-width: 1400px;
}

.pop-up_principal-div img {
    width: 100%;
}

.popup-content h2 {
    margin: 0 0 10px;
}

.popup-content p {
    margin: 20px 0 0;
}

.close-btn {
    position: sticky;
    background-color: #7b7b7b;
    border: none;
    font-size: 20px;
    cursor: pointer;
    left: 86%;
    top: 2%;
    border-radius: 100%;
    width: 26px;
    height: 26px;
    color: #ffffff;
    transform: scale(1);
    transition: transform 0.3s ease-in-out;
    z-index: 1000;
}

.close-btn:hover {
    transform: scale(1.1); /* Efecto sutil de zoom */
}

/* Disable main scroll when popup is open */
body.no-scroll {
    overflow: hidden;
}

.image-container {
    display: flex;
    flex-wrap: wrap;
    gap: 4px; /* Espaciado entre los elementos */
    justify-content: center; /* Opcional: Distribuye el espacio entre columnas */
    max-width: 1400px;
}

.image-container > div {
    width: 100%;
    box-sizing: border-box;
    display: flex;
}


.image-container img {
    width: 100%; /* Escala las imágenes al ancho del contenedor */
    height: auto; /* Mantiene la proporción de las imágenes */
}

.pop-up_principal-div{
        display: flex;
        justify-content: center;
        align-content: center;
}

.popup-content > div {
    width: 100%;
    margin: auto;
}

.popup-content p {
    color: white;
    font-family: "Montserrat";
    text-align: center;
    font-size: 10px;
}

.popup-content h2 {
    font-size: 4.5rem;
    text-transform: uppercase;
    padding: 40px 20px;
    font-family: "Bebas Neue", sans-serif;
    font-weight: 400;
    font-style: normal;
    line-height: 0.8;
    color: white;
    text-align: center;
}

.score-awards div {
    margin: 40px 0;
}

.popup-content--container {
    position: relative;
    bottom: 25px;
}



.popup-text {
    display: flex;
    flex-direction: column;
    max-width: 70%;
    margin: auto;
    padding: 20px 0;
}



.popup-iframe {
    padding-bottom: 56.17%;
    position: relative;
    height: 0px;
}

.popup-50 > div {
    width: 70%;
    margin: auto;
}

div#popup8 .popup-content--container .pop-up_principal-div:nth-child(1) {
    margin-bottom: 80px;
}



div#popup1 .popup-content {
    background-color: #020e26;
}
div#popup3 .popup-content {
    background-color: #ffffff;
}

div#popup8 .popup-content {
    background-color: #eeeeee;
}

div#popup3 .popup-content p {
    color: #696969;
}




@media screen and (min-width:768px){
    .popup-content {
        background-color: #000000;
        width: 90%;
        position: relative;
        overflow-y: auto;
        max-height: 90%;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
        max-width: 1400px;
    }
    .popup-content p {
        color: white;
        font-family: "Montserrat";
        text-align: center;
        font-size: 1rem;
    }
    .close-btn {
        position: sticky;
        background-color: #7b7b7b;
        border: none;
        font-size: 20px;
        cursor: pointer;
        left: 96%;
        top: 2%;
        border-radius: 100%;
        width: 32px;
        height: 32px;
        color: #ffffff;
        transform: scale(1);
        transition: transform 0.3s ease-in-out;
        z-index: 1000;
    }

    .image-container > div {
        width: calc(33.33% - 3px); /* Ancho para 3 columnas (restando el gap) */
        box-sizing: border-box; /* Asegura que el padding no afecte el ancho */
        display: flex;
    }

    .popup-text {
        display: flex;
        flex-direction: column;
        max-width: 70%;
        margin: auto;
        padding: 40px 0;
    }

    .popup-content--container {
        position: relative;
        bottom: 32px;
    }
}